import os
import pathlib
import setuptools

here = os.path.dirname(os.path.realpath (__file__))

p = pathlib.Path("README.md")
if p.exists():
    long_description = p.read_text()

setuptools.setup(
    name='libknot',
    version='3.1.1',
    description='Python bindings for libknot',
    long_description=long_description,
    long_description_content_type="text/markdown",
    author='Daniel Salzman',
    author_email='daniel.salzman@nic.cz',
    url='https://gitlab.nic.cz/knot/knot-dns',
    license='GPL-3.0',
    packages=['libknot'],
    package_dir = {
        'libknot': os.path.join(here, 'libknot'),
    },
    classifiers=[ # See https://pypi.org/classifiers
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3',
        'Topic :: Internet :: Name Service (DNS)',
        'Topic :: Software Development :: Libraries',
        'Topic :: System :: Systems Administration',
    ],
    python_requires='>=3.5',
)
